summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2022-02-21 12:04:34 -0800
committerZac Medico <zmedico@gentoo.org>2022-02-21 12:04:55 -0800
commita09a37d51b5b0ea1f69754ee88cb6ce7d832a3b8 (patch)
tree5facfe3c1f9171e52a1ba63275f232d7a2ca22c5
parentsys-cluster/kube-scheduler: remove 1.23.2 (diff)
downloadgentoo-a09a37d51b5b0ea1f69754ee88cb6ce7d832a3b8.tar.gz
gentoo-a09a37d51b5b0ea1f69754ee88cb6ce7d832a3b8.tar.bz2
gentoo-a09a37d51b5b0ea1f69754ee88cb6ce7d832a3b8.zip
app-misc/yq: Bump to version 2.14.0
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--app-misc/yq/Manifest1
-rw-r--r--app-misc/yq/yq-2.14.0.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/app-misc/yq/Manifest b/app-misc/yq/Manifest
index 4c38c5a8fad..ae32646f376 100644
--- a/app-misc/yq/Manifest
+++ b/app-misc/yq/Manifest
@@ -1,4 +1,5 @@
DIST yq-2.11.1.tar.gz 20660 BLAKE2B 4b51652958121c16462304d21ebe545cca835b6c189a6d7550c7ea0ffc8b7088a02eb61ee412295d85d502a339ec3ccbc67b8dc12cd45a07246cbafa7d7feaf7 SHA512 a59a0b12ac70724bb1b857618a66b8fa38ecd35f37adce0495e74ef194f4547be8adce345f29644d43c3b32c0e680512bfcb527310e17746965f9c1db2b612c1
DIST yq-2.12.0.tar.gz 20796 BLAKE2B a314b54628e1865df68dadcbec8e59e16c1e57205e2b9f2b364bb6bee91563dc3da30c1e3a7ac9e2656899ee8ad004600291a845f59fbe13356f0cfb69de3e79 SHA512 3d6e26b674e5496e3a60678fb5b0389a6d83f4fdb519b40f5e6092f1df0023bbfb0e3b5e95dfac9b44e6001b8b35d7104aeeea6c347862313e57cc579110178d
DIST yq-2.13.0.tar.gz 21695 BLAKE2B e6d75cde2c298c19616647aeb14f1e34b1a68bb4db1b7e6f4e2619166ef10142ebd405d3c21492e4f5880c46a8d42222ce22b08afec492e97102923e6b838e2d SHA512 fd2722450606175b7d6674407c992f1f542b8b2309fcb33d4eb7d6e3dbc6dbc9e04b3dae7c4c649d814fdffaa18cbd50472672f1d1357fc58c5306de082b353a
+DIST yq-2.14.0.tar.gz 28030 BLAKE2B 07e200524390e938705854c5d1ac4921fbc8f165cdbf8152e36124e52a1c51c70d6d711b67a3dac8c2bbf1f75040466e8d94505aa5f19e388a31bbcdc92e91bd SHA512 77d5d9cefc70fae9f2606434e11c3b14facb68113f6f99017f87acc860684a1b7a94ecf01514e8fa85a6d9cc860df926e13d1ac5bec160e7d057074d758d1d34
DIST yq-2.9.2.tar.gz 19177 BLAKE2B 038d813679d3583eb863577f317d834f78f614d6be595c96601a06b40c3af5d9b04234381529012328a45984b183376e0647a6b09b8a87642f8e688e39ec7a7f SHA512 a526407f4f34e9c2a0acccaf38207bbe328468419450efaf30171493123b7715c2e6dd6799679220b07bfa7bc9081ac5f758f833ddf05dfb5e1fe14286baf45c
diff --git a/app-misc/yq/yq-2.14.0.ebuild b/app-misc/yq/yq-2.14.0.ebuild
new file mode 100644
index 00000000000..4180eac4c6a
--- /dev/null
+++ b/app-misc/yq/yq-2.14.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Command-line YAML processor - jq wrapper for YAML documents"
+HOMEPAGE="https://yq.readthedocs.io/ https://github.com/kislyuk/yq/ https://pypi.org/project/yq/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-misc/jq
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/yq-2.13.0-tests.patch"
+)
+
+python_prepare_all() {
+ sed -e 's:unittest.main():unittest.main(verbosity=2):' \
+ -i test/test.py || die
+
+ sed -r -i 's:[[:space:]]*"coverage",:: ; s:[[:space:]]*"flake8",::' \
+ setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${EPYTHON}" test/test.py </dev/null || die "tests failed under ${EPYTHON}"
+}